Page MenuHomePhabricator

Skins loaded via extension registration are going missing
Closed, ResolvedPublic

Description

  • Nostalgia went missing on nostalgiawiki until Legoktm touched its skin.json and synced that.
  • CologneBlue is missing on mediawiki.org and test2wiki.

Event Timeline

Graham87 raised the priority of this task from to Needs Triage.
Graham87 updated the task description. (Show Details)
Graham87 added a subscriber: Graham87.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2015, 12:40 PM
Glaisher added a subscriber: Glaisher.

I'm pretty sure it wasn't like this before.

I accidentally filled out this bug without submitting a description ... but on each page on the Nostalgia Wikipedia, there's an error message which begins: "Whoops! The default skin for your wiki, defined in $wgDefaultSkin as nostalgia, is not available."

Hmm, it looks like this wiki also gets updated with MediaWiki train.. I don't think that should actually be happening..

> var_dump( $wgMessagesDirs['Nostalgia'] );
string(56) "/srv/mediawiki-staging/php-1.26wmf5/skins/Nostalgia/i18n"

> var_dump( ExtensionRegistry::getInstance()->isLoaded( 'Nostalgia' ) );
bool(false)

And yet the other skins are loaded...

It works locally for me though.

Legoktm closed this task as Resolved.May 14 2015, 7:26 PM
Legoktm claimed this task.

A bad cache got stuck somewhere. I touched Nostalgia/skin.json and the skin shows up now.

[12:24:03] <logmsgbot> !log legoktm Synchronized php-1.26wmf5/skins/Nostalgia/skin.json: touch (duration: 00m 17s)
Legoktm reopened this task as Open.May 19 2015, 5:06 AM

Re-opening, CologneBlue is now missing on mediawiki.org and test2wiki. Touching the skin.json file on mw1017 fixed it for X-Wikimedia-Debug: 1.

Legoktm renamed this task from Nostalgia Wikipedia: missing skin error to Skins loaded via extension registration are going missing.May 19 2015, 5:07 AM
Legoktm triaged this task as High priority.
Legoktm updated the task description. (Show Details)
Legoktm set Security to None.

Change 211946 had a related patch set uploaded (by Legoktm):
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211946

Change 211946 merged by jenkins-bot:
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211946

Change 211947 had a related patch set uploaded (by Legoktm):
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211947

Change 211948 had a related patch set uploaded (by Legoktm):
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211948

Change 211949 had a related patch set uploaded (by Legoktm):
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211949

Change 211949 merged by jenkins-bot:
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211949

Legoktm closed this task as Resolved.May 19 2015, 6:06 AM

Backported to REL1_25, and will be SWAT'ted out tomorrow morning.

Change 211947 merged by jenkins-bot:
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211947

Change 211948 merged by jenkins-bot:
registration: Don't array_unique() over the queue before loading it

https://gerrit.wikimedia.org/r/211948